NTPD(8)

NAME
ntpd - Network Time Protocol daemon

SYNOPSIS
ntpd [-dnSsv] [-f file]

DESCRIPTION
The ntpd daemon synchronizes the local clock to one or more remote NTP servers or local timedelta sensors. ntpd can also act as an NTP server itself, redistributing the local time. It implements the Simple Network Time Protocol version 4, as described in RFC 5905, and the Network Time Protocol version 3, as described in RFC 1305. Time can also be fetched from TLS HTTPS servers to reduce the impact of unauthenticated NTP man-in-the-middle attacks.

The options are as follows:

-d  Do not daemonize. If this option is specified, ntpd will run in the foreground and log to stderr.

-f file
    Use file as the configuration file, instead of the default /etc/ntpd.conf.

-n  Configtest mode. Only check the configuration file for validity.

-S  Do not set the time immediately at startup. This is the default.

-s  Try to set the time immediately at startup, as opposed to slowly adjusting the clock. ntpd will stay in the foreground for up to 15 seconds waiting for one of the configured NTP servers to reply.

-v  This option allows ntpd to send DEBUG priority messages to syslog.

ntpd uses the adjtime(2) system call to correct the local system time without causing time jumps. Adjustments of 32ms and greater are logged using syslog(3). The threshold value is chosen to avoid having local clock drift thrash the log files. Should ntpd be started with the -d or -v option, all calls to adjtime(2) will be logged.

After the local clock is synchronized, ntpd adjusts the clock frequency using the adjfreq(2) system call to compensate for systematic drift.

ntpd is started at boot time by default via ntpd_flags in /etc/rc.conf. See rc(8) and rc.conf(8) for more information on the boot process and enabling daemons.

When ntpd starts up, it reads settings from its configuration file, typically ntpd.conf(5), and its initial clock drift from /var/db/ntpd.drift. Clock drift is periodically written to the drift file thereafter.

FILES
/etc/ntpd.conf
    Default configuration file.
/var/db/ntpd.drift
    Drift file.
/var/run/ntpd.sock
    Socket file for communication with ntpctl(8).

SEE ALSO
date(1), adjfreq(2), adjtime(2), ntpd.conf(5), ntpctl(8), rc(8), rc.conf(8), rdate(8)

STANDARDS
David L. Mills, March 1992, RFC 1305, Network Time Protocol (Version 3): Specification, Implementation and Analysis.

David L. Mills, Jim Martin, Jack Burbank, William Kasch, June 2010, RFC 5905, Network Time Protocol Version 4: Protocol and Algorithms Specification.

HISTORY
The ntpd program first appeared in OpenBSD 3.6.